Skip to main content
`Ctrl`+`K`

# DMSwarmSetNumSpecies

Set the number of particle species

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmSetNumSpecies(DM sw, PetscInt Ns)

Not Collective

## Input Parameters

- sw - the `DMSWARM`

- Ns - the number of species

## See Also

`DMSWARM`, `DMSwarmGetNumSpecies()`, `DMSwarmSetType()`, `DMSwarmType`

## Level

intermediate

## Location

src/dm/impls/swarm/swarmpic.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages